php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #4698 Oracle's LDAP libs conflict with OpenLDAP
Submitted: 2000-05-30 16:52 UTC Modified: 2000-10-29 00:11 UTC
From: steve dot neuharth at webhelp dot com Assigned: sniper (profile)
Status: Closed Package: LDAP related
PHP Version: 4.0.0 Release OS: linux 2.2.14
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: steve dot neuharth at webhelp dot com
New email:
PHP Version: OS:

 

 [2000-05-30 16:52 UTC] steve dot neuharth at webhelp dot com
If I compile php with oracle 8.1.5 LDAP stops working. I found these LDAP related libs in the oracle tree...

/usr/local/oracle/product/8.1.5/lib/libldapclnt8.a
/usr/local/oracle/product/8.1.5/lib/libnldap8.a
/usr/local/oracle/product/8.1.5/network/lib/libnldapj8.so
/usr/local/oracle/product/8.1.5/javavm/admin/libjox8com_sun_jndi_ldap.so
/usr/local/oracle/product/8.1.5/javavm/admin/libjox8com_sun_jndi_url_ldap.so

Not sure which one is the problem or how to run 'make' so that it ignores them. I tried moving out the first two and recompiling.... did not work.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-07-24 00:09 UTC] sniper at cvs dot php dot net
Have you tried to change the link order? See url below.
                       http://marc.theaimsgroup.com/?l=php-dev&m=96331527717951&w=2

--Jani
 [2000-08-18 13:23 UTC] waldschrott@php.net
Closed due to missing user feedback.
 [2000-08-18 15:10 UTC] sniper@php.net
This problem really exists. Please do not close before actually fixed.

--Jani
 [2000-09-05 21:59 UTC] sniper@php.net
Please upgrade to php4.0.2 and configure
with --with-ldap=/usr/local/oracle/product/8.1.6 instead of openldap.

Report back if this works for you.

--Jani

 [2000-10-02 22:15 UTC] sniper@php.net
I'll look into this when I have more time..
If nobody else does, that is.

--Jani
 [2000-10-29 00:11 UTC] sniper@php.net
Fixed in CVS.

--Jani
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Mon Dec 06 02:03:34 2021 UTC